<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Peter Benke <info@typomotor.de>, TYPO motor
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package pb_concertlist
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Tx_PbConcertlist_Controller_ConcertController extends Tx_Extbase_MVC_Controller_ActionController {

	/**
	 * concertRepository
	 *
	 * @var Tx_PbConcertlist_Domain_Repository_ConcertRepository
	 */
	protected $concertRepository;

	/**
	 * injectConcertRepository
	 *
	 * @param Tx_PbConcertlist_Domain_Repository_ConcertRepository $concertRepository
	 * @return void
	 */
	public function injectConcertRepository(Tx_PbConcertlist_Domain_Repository_ConcertRepository $concertRepository) {
		$this->concertRepository = $concertRepository;
	}

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {

		// $sorting = Array('date' => Tx_Extbase_Persistence_Query::ORDER_ASCENDING);
		// setlocale (LC_ALL, 'de_DE');
		# echo '<pre>';
		# print_r($this->settings);
		# echo '</pre>';
		
		$concerts = $this->concertRepository->findAllBySelection(
			intval($this->settings['selection']),
			$this->settings['public'],
			$this->settings['sorting'],
			intval($this->settings['number']),
			$this->settings['dateFrom'],
			$this->settings['dateTo']
		);
		$this->view->assign('concerts', $concerts);

	}

	/**
	 * action show
	 *
	 * @param Tx_PbConcertlist_Domain_Model_Concert $concert
	 * @return void
	 */
	public function showAction(Tx_PbConcertlist_Domain_Model_Concert $concert) {
		$this->view->assign('concert', $concert);
	}

}
?>